Construct an ArrayIterator

- « ArrayIterator::asort

- ArrayIterator::count »

- PHP Manual
- ArrayIterator
- Construct an ArrayIterator

# ArrayIterator::__construct

(PHP 5, PHP 7, PHP 8)

ArrayIterator::__construct — Construct an ArrayIterator

### Description

public ArrayIterator::__construct(array|object `$array` = [], int `$flags` = 0)

Constructs an ArrayIterator object.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`array`

  The array or object to be iterated on.

`flags`

  Flags to control the behaviour of the ArrayIterator object. See ArrayIterator::setFlags().

### See Also

- ArrayIterator::getArrayCopy() - Get array copy